package com.steerinfo.baseinfo.meterbasetermtarecar.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="期限皮重车辆配置表")
public class MeterBaseTermTareCar implements IBasePO<String> {
    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 车主姓名(CAR_OWNER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="车主姓名",required=false)
    private String carOwnerName;

    /**
     * 驾驶员(CAR_DRIVER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="驾驶员",required=false)
    private String carDriverName;

    /**
     * 隶属单位(CAR_UNDER_UNIT,VARCHAR,60)
     */
    @ApiModelProperty(value="隶属单位",required=false)
    private String carUnderUnit;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 计量属性编号(METER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量属性编号",required=false)
    private String meterNatureNo;

    /**
     * 计量属性名称(METER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量属性名称",required=false)
    private String meterNatureName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.carNo;
    }

    @Override
    public void setId(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getCarOwnerName() {
        return carOwnerName;
    }

    public void setCarOwnerName(String carOwnerName) {
        this.carOwnerName = carOwnerName == null ? null : carOwnerName.trim();
    }

    public String getCarDriverName() {
        return carDriverName;
    }

    public void setCarDriverName(String carDriverName) {
        this.carDriverName = carDriverName == null ? null : carDriverName.trim();
    }

    public String getCarUnderUnit() {
        return carUnderUnit;
    }

    public void setCarUnderUnit(String carUnderUnit) {
        this.carUnderUnit = carUnderUnit == null ? null : carUnderUnit.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo == null ? null : meterNatureNo.trim();
    }

    public String getMeterNatureName() {
        return meterNatureName;
    }

    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName == null ? null : meterNatureName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", carNo=").append(carNo);
        sb.append(", carOwnerName=").append(carOwnerName);
        sb.append(", carDriverName=").append(carDriverName);
        sb.append(", carUnderUnit=").append(carUnderUnit);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", meterNatureNo=").append(meterNatureNo);
        sb.append(", meterNatureName=").append(meterNatureName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}